Bug 127039 - [NEW PORT] mail/bogofilter-tc: Fast, teachable, learning spam detector
Summary: [NEW PORT] mail/bogofilter-tc: Fast, teachable, learning spam detector
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-02 08:40 UTC by Matthias Andree
Modified: 2009-01-08 16:10 UTC (History)
0 users

See Also:


Attachments
bogofilter-tc-1.1.7.shar (1.19 KB, text/plain)
2008-09-02 08:40 UTC, Matthias Andree
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2008-09-02 08:40:03 UTC
This is a new sibling port of bogofilter's, using tokyocabinet as database.
Adjust CONFLICTS of pre-existing bogofilter ports.

The fix below contains patches to three ports and a shar with the new port.

Courtesy of and
Submitted by: Zach Thompson <hideo@lastamericanempire.com>

Generated with FreeBSD Port Tools 0.77

Fix: diff -ur /usr/ports/mail/bogofilter/Makefile bogofilter/Makefile
--- /usr/ports/mail/bogofilter/Makefile	2008-08-21 08:17:32.000000000 +0200
+++ bogofilter/Makefile	2008-09-02 09:19:17.000000000 +0200
@@ -21,7 +21,7 @@
 OPTIONS=	GSL     "Link with system-wide GSL dynamically (recommended)" on
 OPTIONS+=	UNICODE "Normalize tokens to Unicode (UTF-8)" on
 
-CONFLICTS?=	bogofilter-sqlite-[0-9]* bogofilter-qdbm-[0-9]* [a-z][a-z]-bogofilter-[0-9]*
+CONFLICTS?=	bogofilter-sqlite-[0-9]* bogofilter-qdbm-[0-9]* bogofilter-tc-[0-9]* [a-z][a-z]-bogofilter-[0-9]*
 
 USE_BZIP2=	yes
 USE_PERL5_RUN=	yes
diff -ur /usr/ports/mail/bogofilter-qdbm/Makefile bogofilter-qdbm/Makefile
--- /usr/ports/mail/bogofilter-qdbm/Makefile	2007-01-15 16:10:17.000000000 +0100
+++ bogofilter-qdbm/Makefile	2008-09-02 09:19:21.000000000 +0200
@@ -14,7 +14,7 @@
 
 LIB_DEPENDS=	qdbm.14:${PORTSDIR}/databases/qdbm
 
-CONFLICTS=	bogofilter-[0-9]* [a-z][a-z]-bogofilter-[0-9]* bogofilter-sqlite-[0-9]*
+CONFLICTS=	bogofilter-[0-9]* [a-z][a-z]-bogofilter-[0-9]* bogofilter-sqlite-[0-9]* bogofilter-tc-[0-9]*
 
 CONFIGURE_ARGS=	--with-database=qdbm
 BF_CPPFLAGS=	-I${LOCALBASE}/include
diff -ur /usr/ports/mail/bogofilter-sqlite/Makefile bogofilter-sqlite/Makefile
--- /usr/ports/mail/bogofilter-sqlite/Makefile	2005-10-24 16:25:38.000000000 +0200
+++ bogofilter-sqlite/Makefile	2008-09-02 09:19:23.000000000 +0200
@@ -13,7 +13,7 @@
 
 LIB_DEPENDS=	sqlite3.8:${PORTSDIR}/databases/sqlite3
 
-CONFLICTS=	bogofilter-[0-9]* bogofilter-qdbm-[0-9]* [a-z][a-z]-bogofilter-[0-9]*
+CONFLICTS=	bogofilter-[0-9]* bogofilter-qdbm-[0-9]* bogofilter-tc-[0-9]* [a-z][a-z]-bogofilter-[0-9]*
 
 CONFIGURE_ARGS=	--with-database=sqlite
 BF_CPPFLAGS=	-I${LOCALBASE}/include
Comment 1 Martin Wilke freebsd_committer 2008-09-05 12:55:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-01-08 15:59:19 UTC
miwi        2009-01-08 15:59:04 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/bogofilter-tc   Makefile 
  Log:
  This is a new sibling port of bogofilter's, using tokyocabinet as database.
  
  PR:             ports/127039
  Submitted by:   Matthias Andree <matthias.andree@gmx.de>
  
  Revision  Changes    Path
  1.939     +1 -0      ports/mail/Makefile
  1.1       +26 -0     ports/mail/bogofilter-tc/Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2009-01-08 16:00:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-01-08 16:00:27 UTC
miwi        2009-01-08 16:00:18 UTC

  FreeBSD ports repository

  Modified files:
    mail/bogofilter      Makefile 
    mail/bogofilter-qdbm Makefile 
    mail/bogofilter-sqlite Makefile 
  Log:
  - Set CONFLICT with mail/bogofilter-tc.
  
  PR:             127039
  Submitted by:   Matthias Andree <matthias.andree@gmx.de> (maintainer)
  
  Revision  Changes    Path
  1.24      +1 -1      ports/mail/bogofilter-qdbm/Makefile
  1.5       +1 -1      ports/mail/bogofilter-sqlite/Makefile
  1.85      +1 -1      ports/mail/bogofilter/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"